%define	name	panzers
%define	version	0.40
%define	release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://home.t-online.de/home/primetime./
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-cvs-compilefix.patch.bz2
Patch1:		%{name}-0.40-link-zlib.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	A multiplayer 3D tank game
BuildRequires:	libMesaGLU-devel libSDL_mixer-devel XFree86-devel libnas-devel
BuildRequires:	libsmpeg-devel libogg-devel OpenSceneGraph
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Panzers is a simple little multiplayer 3D game where the player
controls a WW2 tank. The player controls the tank in a fully
3D environment trying to blast other players.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Panzers" \
		longtitle="%{summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_gamesdatadir}/%{name}
%{_mandir}/man1/%{name}*.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Sun Jul 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.40-2mdk
- make it link against zlib, or else it will segfault (P1)

* Sat Apr 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.40-1mdk
- initial mdk release
